#include "mainNode/EgoMotion.h"


namespace car {
  
EgoMotion::EgoMotion(ros::NodeHandle nh)
    : platoonControllerNotify()
      , cruiseControllerNotify()
{
    environmentData = nh.subscribe("environmentData", 1, &EgoMotion::environmentDataCallback, this);
}

void EgoMotion::environmentDataCallback(const environmentDataMsg::ConstPtr & inMsg)
{
    std::cout << "EgoMotion recived new environmentData data (" << inMsg->distance << ", " << inMsg->prevSpeed << ").\n";
    cruiseControllerNotify();
}

}
